### Method

# ECal ReminderWatcher dismiss

since: 3.30

#### Declaration [src]

    void
    e_reminder_watcher_dismiss (
      EReminderWatcher* watcher,
      const EReminderData* rd,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously dismiss single reminder in the past or snoozed reminders.

When the operation is finished, `callback` will be called. You can then call `e_reminder_watcher_dismiss_finish()` to get the result of the operation.

Available since: 3.30

This method completes asynchronously. Use `e_reminder_watcher_dismiss_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`rd`

  Type: `EReminderData`

  An `EReminderData` to dismiss.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.